Skip to content

API Reference

Add new transaction alert(s)

POST /transaction_alert https://transaction-api.cable.tech

Authentication

  • Bearer token in the Authorization header

Request body

application/json list of objects required

Transaction alert data to add.

  • alert_id string required

    Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.

  • status string required

    Allowed values CREATEDPENDINGCLOSED

  • check_type string

    The type of monitoring check that triggered the alert.

    Allowed values INLINE_MONITORINGDELAYED_MONITORING

  • related_check_id string

    Unique identifier for a transaction check for which the alert belongs to.

  • additional_properties list of objects

    Additional metadata that relates to a transaction alert.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.

    Format date-time

Responses

201 Transaction alert added successfully

  • alert_id string required

    Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.

  • status string

    Allowed values CREATEDPENDINGCLOSED

  • check_type string

    The type of monitoring check that triggered the alert.

    Allowed values INLINE_MONITORINGDELAYED_MONITORING

  • related_check_id string

    Unique identifier for a transaction check for which the alert belongs to.

  • additional_properties list of objects

    Additional metadata that relates to a transaction alert.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.

    Format date-time

Errors

  • 400 Invalid transaction alert data
  • 401 Unauthorized request
  • 409 Transaction alert already exists
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401409429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string